Package ghidra.app.util.bin.format.pe.cli.tables

# Class CliTableMethodDef.CliMethodDefRow

java.lang.Object
ghidra.app.util.bin.format.pe.cli.tables.CliAbstractTableRow
ghidra.app.util.bin.format.pe.cli.tables.CliTableMethodDef.CliMethodDefRow

All Implemented Interfaces:
  `CliRepresentable`

Enclosing class:
  `CliTableMethodDef`

public class CliTableMethodDef.CliMethodDefRow extends CliAbstractTableRow

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `short`
  `Flags`
  `short`
  `ImplFlags`
  `int`
  `nameIndex`
  `int`
  `RVA`
  `int`
  `sigIndex`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `CliMethodDefRow(int rva, short implFlags, short flags, int nameIndex, int sigIndex, int paramIndex)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getRepresentation()`
  `String`
  `getRepresentation(CliStreamMetadata stream)`

  ### Methods inherited from class ghidra.app.util.bin.format.pe.cli.tables.CliAbstractTableRow

  `getShortRepresentation, getShortRepresentation`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### RVA

    public int RVA

  - ### ImplFlags

    public short ImplFlags

  - ### Flags

    public short Flags

  - ### nameIndex

    public int nameIndex

  - ### sigIndex

    public int sigIndex

- ## Constructor Details

  - ### CliMethodDefRow

    public CliMethodDefRow(int rva, short implFlags, short flags, int nameIndex, int sigIndex, int paramIndex)

- ## Method Details

  - ### getRepresentation

    public String getRepresentation()
    Specified by:
      `getRepresentation` in interface `CliRepresentable`
    Specified by:
      `getRepresentation` in class `CliAbstractTableRow`

  - ### getRepresentation

    public String getRepresentation(CliStreamMetadata stream)
    Specified by:
      `getRepresentation` in interface `CliRepresentable`
    Overrides:
      `getRepresentation` in class `CliAbstractTableRow`